<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Relatorio;
use App\Models\RelatorioChave;
use Auth;

class AdminController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index($mes = null)
    {
        if($mes == null){
            $mes = date('m');
        }

        $user = Auth::user();

        $relatorio['fb'] = Relatorio::with('chaves')->where(['rede_social' => 'facebook','ano' => date('Y'), 'mes' => $mes])->first();
        
        $relatorio['insta'] = Relatorio::where(['rede_social' => 'instagram','ano' => date('Y'), 'mes' => $mes])->first();

        $relatorio['google'] = Relatorio::where(['rede_social' => 'google','ano' => date('Y'), 'mes' => $mes])->first();
        
        $relatorio['seo'] = Relatorio::where(['rede_social' => 'seo','ano' => date('Y'), 'mes' => $mes])->first();

        $relatorio_anual['fb'] = Relatorio::anual('facebook');
        $relatorio_anual['insta'] = Relatorio::anual('instagram');
        $relatorio_anual['google'] = Relatorio::anual('google');
        $relatorio_anual['seo'] = Relatorio::anual('seo');

        $investimento_total = Relatorio::investimento_total($mes);

        $modulo = 'relatorio';

        return view('admin/index', compact('relatorio_anual','relatorio','investimento_total','modulo','user','mes'));
    }

    public function cadastrar($mes = null)
    {
        if($mes == null){
            $mes = date('m');
        }

        $user = Auth::user();

        if(!$user->admin){
            return redirect()->back();
        }

        $relatorio['fb'] = Relatorio::with('chaves')->where(['rede_social' => 'facebook','ano' => date('Y'), 'mes' => $mes])->first();
        
        $relatorio['insta'] = Relatorio::where(['rede_social' => 'instagram','ano' => date('Y'), 'mes' => $mes])->first();

        $relatorio['google'] = Relatorio::where(['rede_social' => 'google','ano' => date('Y'), 'mes' => $mes])->first();
        
        $relatorio['seo'] = Relatorio::where(['rede_social' => 'seo','ano' => date('Y'), 'mes' => $mes])->first();

        $modulo = 'cadastro';

        return view('admin/admin', compact('relatorio','modulo','user','mes'));
    }

    public function save(Request $request)
    {

        $relatorio = Relatorio::where(['rede_social' => $request->rede_social,'ano' => $request->ano, 'mes' => $request->mes])->first();

        if(empty($relatorio)){
            $relatorio = new Relatorio;
        }

        $relatorio->rede_social = $request->rede_social;
        $relatorio->mes = $request->mes;
        $relatorio->ano = $request->ano;
        $relatorio->impressoes = $request->impressoes;
        $relatorio->alcance = $request->alcance;
        $relatorio->acoes = $request->acoes;
        $relatorio->cta_whats = $request->cta_whats;
        $relatorio->valor_investido = $request->valor_investido;

        $relatorio->save();
        
        RelatorioChave::where('relatorio_id', $relatorio->id)->delete();

        foreach ($request->palavra_chave as $key => $palavra) {
            $palavra_chave = new RelatorioChave;
            $palavra_chave->palavra_chave = $palavra;
            $palavra_chave->posicao = $request->posicao[$key];
            $palavra_chave->relatorio()->associate($relatorio);
            $palavra_chave->save();
        }

        return redirect()->route('cadastrar');
        
    }
}