<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Relatorio extends Model
{
    public function chaves()
    {
        return $this->hasMany('App\Models\RelatorioChave');
    }

    public static function anual($rede_social = null)
    {
        for ($i=1; $i <= 12 ; $i++) { 
            $relatorio_meses[$i] = Relatorio::where(['rede_social' => $rede_social, 'mes' => $i, 'ano' => date('Y')])->first(); 
        }
        $retorno['acoes'] = '[';
        $retorno['alcance'] = '[';
        $retorno['valor_investido'] = '[';
        $retorno['impressoes'] = '[';
        foreach ($relatorio_meses as $key => $relatorio) {
            if(!empty($relatorio->acoes)){
                $retorno['acoes'] .= floatval($relatorio->acoes);
            }else{
                $retorno['acoes'] .= 0;
            }

            if(!empty($relatorio->alcance)){
                $retorno['alcance'] .= floatval($relatorio->alcance);
            }else{
                $retorno['alcance'] .= 0;
            }

            if(!empty($relatorio->valor_investido)){
                $retorno['valor_investido'] .= floatval($relatorio->valor_investido);
            }else{
                $retorno['valor_investido'] .= 0;
            }

            if(!empty($relatorio->impressoes)){
                $retorno['impressoes'] .= floatval($relatorio->impressoes);
            }else{
                $retorno['impressoes'] .= 0;
            }

            if($key < 12){
                $retorno['acoes'] .= ',';
                $retorno['alcance'] .= ',';
                $retorno['valor_investido'] .= ',';
                $retorno['impressoes'] .= ',';
            }
        }
        $retorno['acoes'] .= ']';
        $retorno['alcance'] .= ']';
        $retorno['valor_investido'] .= ']';
        $retorno['impressoes'] .= ']';

        return $retorno;
    }

    public static function investimento_total($mes = false)
    {
        if(!$mes){
            $mes = date('m');
        }

        $relatorios = Relatorio::where(['ano' => date('Y'), 'mes' => $mes])->sum('valor_investido');

        return $relatorios;
    }
}
