<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRelatorioChavesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('relatorio_chaves', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('relatorio_id');
            $table->foreign('relatorio_id')->references('id')->on('relatorios')->onDelete('cascade');
            $table->string('palavra_chave')->null();
            $table->string('posicao')->null();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('relatorio_chaves');
    }
}
