@extends('templates/app-login')

@section('title')
Login
@endsection
@section('body')
<div class="auth-wrapper">
    <div class="auth-content">
        <div class="auth-bg">
            <span class="r"></span>
            <span class="r s"></span>
            <span class="r s"></span>
            <span class="r"></span>
        </div>
        <div class="card">
            <div class="card-body text-center">
                <form class="form-horizontal" method="POST" action="{{ route('login') }}">
                    {{ csrf_field() }}
                    <div class="mb-4">
                        <i class="feather icon-unlock auth-icon"></i>
                    </div>
                    <h3 class="mb-4">Login</h3>
                    <div class="input-group mb-3">
                        <div class="col-12">
                            <input placeholder="Email" id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required autofocus>
                        </div>
                    </div>
                    <div class="input-group">
                        <div class="col-12">
                            <input placeholder="Password" id="password" type="password" class="form-control" name="password" required>
                        </div>
                        @if ($errors->has('password'))
                            <div class="col-12">
                                <span class="help-block">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            </div>
                        @endif
                    </div>
                    @if ($errors->has('email'))
                        <div class="d-flex col-12">
                            <span class="pl-2 text-danger help-block">
                                <small>{{ $errors->first('email') }}</small>
                            </span>
                        </div>
                    @endif
                
                    <div class="form-group mt-3 col-12 text-left">
                        <div class="checkbox checkbox-fill d-inline">
                            <input id="checkbox-fill-a1" type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}>
                            <label for="checkbox-fill-a1" class="cr"> Manter conectado</label>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary shadow-2 mb-4">Login</button>
                    <p class="mb-2 text-muted">Esqueceu sua senha? 
                        <a href="{{ route('password.request') }}">Clique aqui</a>
                    </p>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection




